aboutsummaryrefslogtreecommitdiffhomepage
path: root/scripts/get_all_bazel_paths.sh
diff options
context:
space:
mode:
authorGravatar Alex Humesky <ahumesky@google.com>2015-07-08 18:18:33 +0000
committerGravatar Han-Wen Nienhuys <hanwen@google.com>2015-07-10 17:15:23 +0000
commitd3f7eda5548fae0d9c022d9e1a0761b8e8ba22a6 (patch)
tree8cbca5cb9298446be3ac2c539526b7714a647790 /scripts/get_all_bazel_paths.sh
parent525019b7bd8810ef8401ecb80247fa4226eba8c2 (diff)
Adds gen jar and manifest proto outputs.
Adds a jar output to Java and Android rules which contains the class files for source files generated from Java annotation processors. For a java_binary foo, the jar will be foo-gen.jar, and for a java_library foo the jar will be libfoo-gen.jar, and similarly for Android. Also adds a binary serialized proto manifest file output to Java and Android rules which describes the contents of the output class jar of those rules, which is used to create the -gen.jar. See src/main/protobuf/java_compilation.proto. -- MOS_MIGRATED_REVID=97793715
Diffstat (limited to 'scripts/get_all_bazel_paths.sh')
-rwxr-xr-xscripts/get_all_bazel_paths.sh8
1 files changed, 6 insertions, 2 deletions
diff --git a/scripts/get_all_bazel_paths.sh b/scripts/get_all_bazel_paths.sh
index c945ea0a08..b64ff407e2 100755
--- a/scripts/get_all_bazel_paths.sh
+++ b/scripts/get_all_bazel_paths.sh
@@ -25,8 +25,12 @@ function query() {
}
# Compile bazel
-([ -f "output/bazel" ] && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] && [ -f "tools/jdk/ijar" ] \
- && [ -f "tools/jdk/SingleJar_deploy.jar" ] && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
+([ -f "output/bazel" ] \
+ && [ -f "tools/jdk/JavaBuilder_deploy.jar" ] \
+ && [ -f "tools/jdk/ijar" ] \
+ && [ -f "tools/jdk/SingleJar_deploy.jar" ] \
+ && [ -f "tools/jdk/GenClass_deploy.jar" ] \
+ && [ -e "tools/jdk/jdk" ]) || ./compile.sh >&2 || exit $?
# Build almost everything.
# //third_party/ijar/test/... is disabled due to #273.